/*
**	Stamp
**
** Copyright (C) 2020-2022 ЃgXgE\tgEFAEVXe
*/

#include <stdio.h>
#include <tchar.h>
#include "PdfStamper.h"

#pragma comment(lib,"PdfStructure.lib")

int main()
{
	int res;

	/**/
	res = MlpInitialize(TEXT("0-0372-5WERR0W0H22E"));
	if (res) {
		fprintf(stderr, "ERROR: MlpInitialize\n");
		return 1;
	}

	/*t@C*/
	res = MlpLoadInitFile(TEXT("../../xml/init.xml"));
	if (res) {
		fprintf(stderr, "ERROR: MlpLoadInitFile\n");
		return 2;
	}

	/*I[v*/
	res = MlpOpenDoc(TEXT("../../../doc/PDF Stamper .pdf"), NULL);
	if (res) {
		fprintf(stderr, "ERROR: MlpOpenDoc\n");
		return 3;
	}

	/*X^v*/
	res = MlpPaintStampName(TEXT("Tanaka"));
//	res = MlpPaintStampName(TEXT("Suzuki"));
//	res = MlpPaintStampName(TEXT("Image"));
//	res = MlpPaintStampName(TEXT("Tesigawara"));
//	res = MlpPaintStampName(TEXT("Kakuin"));
//	res = MlpPaintStampName(TEXT("Kenin"));
//	res = MlpPaintStampName(TEXT("Maruin"));
//	res = MlpPaintStampName(TEXT("Moji"));
	if (res) {
		fprintf(stderr, "ERROR: MlpSetStampName(%d)\n", res);
	}

	/*PDFo*/
	res = MlpSavePDF(TEXT("out.pdf"));

	/*摜o*/
	MlpCreatePict(1, TEXT("out.png"));

	/*N[Y*/
	MlpCloseDoc();

	/*I*/
	MlpUninitialize();

	return 0;
}
