/*
**	MplError.h
**	version 1.10.1
**
** Copyright(c) 2022 ЃgXgE\tgEFAEVXe
*/

#ifndef	MLP_ERROR_H
#define	MLP_ERROR_H

#define	MLP_NO_ERROR				 0
#define	MLP_ALREADY_INITIALIZED		-1		/*ɏĂ܂*/
#define	MLP_NOT_INITIALIZED			-2		/*ł܂łB܂́AĂ܂*/
#define	MLP_INIT_FILE_OPEN_ERROR	-3		/*t@Cǂ߂܂*/
#define	MLP_INIT_DATA_LOAD_ERROR	-3		/*[fBOł܂*/
#define	MLP_LICENSE_ERROR			-4		/*sȃCZXł*/
#define	MLP_ALREADY_OPENED			-5		/*ɃI[vĂ܂*/
#define	MLP_FILE_OPEN_ERROR			-6		/*I[vł܂*/
#define	MLP_FILE_IS_NOT_PDF			-7		/*PDFł͂Ȃ悤ł*/
#define	MLP_UNRECOGNIZED_FILE		-7		/*FłȂt@C*/
#define	MLP_FILE_NOT_DECRYPTED		-8		/*ł܂*/
#define	MLP_FILE_NOT_OPENED			-9		/*I[vĂ܂*/
#define	MLP_OPEN_ERROR				-10		/*I[vŃG[*/
#define	MLP_FILE_COULDNT_CREATE		-10		/*t@C쐬ł܂*/
#define	MLP_PDF_PARSE_ERROR			-11		/*PDF̉̓G[*/
#define	MLP_PDF_HAS_NOT_PAGE		-12		/*PDF(w)y[W܂*/
#define	MLP_INVALID_PAGE_NUMBER		-13		/*ȃy[Wԍ ܂́Aȃy[Ww*/
#define	MLP_INVALID_RESOLUTION		-14		/*ȉ𑜓x*/
#define	MLP_INVALID_QUALITY			-15		/*JPEGi*/
#define	MLP_NO_OUTPUT_FILE			-16		/*o̓t@C܂*/
#define	MLP_TOO_LARGE_PIXEL			-17		/*sNZ }bv傫܂*/
#define	MLP_DRAW_ERROR				-18		/*`̈mۂɎsB܂́A摜̏oɎs܂*/
#define	MLP_MEMORY_ERROR			-20		/*[̈mۂł܂*/
#define	MLP_INVALID_CANVAS_SIZE		-22		/*ȃLoXTCY*/
#define	MLP_INVALID_ARG_VALUE		-22		/*Ȉ̒l*/
#define	MLP_INVALID_PICT_TYPE		-23		/*ȉ摜`*/
#define	MLP_INVALID_CMD				-24		/*ȃR}h*/
#define	MLP_NO_DATA					-25		/*Lȃf[^܂Ay[Wɑ傫܂*/
#define	MLP_FILL_1					-26
#define MLP_FAIL_TO_GET_PAGE		-27		/*y[W̎擾Ɏs܂*/
#define	MLP_INVALID_DATA			-30		/*ȃf[^*/
#define	MLP_INVALID_DATA			-30		/*ȃf[^*/
#define	MLP_NO_LICENSE_KEY			-31		/*CZXL[w肳Ă܂*/
#define	MLP_UNUSABLE_LICENSE		-32		/*̃o[Wł͎gȂCZX*/
#define	MLP_EXPIRED_LICENSE			-33		/*CZX*/
#define	MLP_ILLEGAL_OS_LICENSE		-34		/*OSł͎gȂCZX*/
#define	MLP_OUT_OF_BOUND			-35		/*l͈͊O*/
#define	MLP_COLOR_PROFILE_NOT_FOUND	-36		/*J[vt@Cǂݍ߂܂*/
#define	MLP_INVALID_VER_COLOR_PROFILE -37	/*ver.2ł͂ȂJ[vt@C*/
#define	MLP_INVALID_COLOR_PROFILE	-38		/*sȃJ[vt@C*/
#define MLP_FAIL_TO_COUNT_PAGES		-39		/*y[W̎擾Ɏs܂*/
#define MLP_INVALID_PDF_VERSION		-40		/*sPDFo[W*/
#define	MLP_FONT_NOT_FOUND			-41		/*tHg܂*/
#define	MLP_ALT_FONT_NOT_FOUND		-42		/*փtHg܂*/
#define	MLP_FONT_FILE_NOT_OPENED	-43		/*tHgt@CJ܂*/
#define	MLP_FONT_NOT_LOADED			-44		/*tHg[hł܂*/
#define	MLP_GLYPH_NOT_FOUND			-51		/*Otł܂*/
#define	MLP_UNAVAILABLE_CMD			-61		/*ps\ȃR}h*/
#define	MLP_CMS_IS_UNUSED			-62		/*CMS͗ps*/
#define	MLP_FILE_NOT_EXISTS			-63		/*t@C݂܂*/
#define	MLP_EXN_IS_RUNNING			-64		/*Extractor@\Ă܂*/
#define	MLP_FAIL_TO_CREATE_PICT		-65		/*摜(t@C)̍쐬Ɏs܂*/

#define	EXN_INVALID_CMD				-24		/*ȃR}h*/
#define	EXN_UNAVAILABLE_CMD			-61		/*ps\ȃR}h*/
#define	EXN_IS_RUNNING				-64		/*Extractor@\Ă܂*/
#define	EXN_NOT_INITIALIZED			-2002	/*ExtractorĂ܂*/
#define EXN_ALREADY_INITIALIZED		-2003	/*Extractor͏Ă܂*/
#define EXN_HAS_BEEN_STARTED		-2004	/*ExtractorJnĂ܂*/
#define EXN_PAGE_NOT_OPENED			-2005	/*y[Ww肳Ă܂*/
#define EXN_COULDNOT_EXTRACT		-2006	/*IuWFNg𒊏oł܂*/

#define	STM_NO_STAMP_INFO			-3004	/*X^vXgɓe(ݒ)Ȃ*/
#define	STM_NO_STAMP_NAME			-3005	/*X^ṽXgɎw̖OȂ*/

#endif	/*MLP_ERROR_H*/
